List messages in a conversation
GET
/projects/{projectId}/conversations/{conversationId}/messages
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
conversationId
string
required
path
Query Parameters
cursor
string
optional
query
limit
integer
optional
query
Responses
200
Paginated messages (chronological)
application/jsondata
object[]
Array of:
id
string
conversation_id
string
sender_type
string
Enum:
customer, agent, ai, systemsender_id
string | null
content
string
content_type
string
Enum:
text, html, markdownis_internal
boolean
created_at
string (date-time)
cursor
string | null
has_more
boolean
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages', headers=headers)print(response.json())
200
Response
{ "data": [ { "id": "<string>", "conversation_id": "<string>", "sender_type": "customer", "sender_id": "<string>", "content": "<string>", "content_type": "text", "is_internal": true, "created_at": "2024-01-01T00:00:00Z" } ], "cursor": "<string>", "has_more": true}
API Playground
Try this endpoint
GET
/projects/{projectId}/conversations/{conversationId}/messages